Diskuzní fórum a databáze tipů a utilit pro AutoCAD, Inventor, Revit a další produkty Autodesk - od firmy CAD Studio [www.cadforum.cz]
Česky Slovensky English Deutsch
Přihlášení:
▶ Registrace

 právě nás čte: 3706 
RSS tipy RSS kanál - CAD tipy
RSS diskuze RSS kanál - CAD diskuze

Diskuze Diskuzní fórum, poradna

NápovědaCAD diskuze, rady, výměna zkušeností

CAD Fórum - Homepage Veřejné diskuzní fórum k CAD aplikacím - ptejte se na libovolné otázky týkající se oboru CAx, podělte se o vaše znalosti a zkušenosti s programy AutoCAD, Inventor, Revit, Fusion 360, 3ds Max a s dalšími CAD aplikacemi. Zaregistrujte se nebo se přihlašte a zašlete váš příspěvek do odpovídajícího fóra. Viz další informace o CAD Fóru. Nechcete se registrovat? Zeptejte se v naší Facebook poradně.
Fórum nenahrazuje technický support firmy CAD Studio - přímá podpora pro zákazníky funguje na helpdesk.cadstudio.cz
  FAQ FAQ  Prohledat fórum   Události   Registrovat Registrovat  Přihlásit Přihlásit

VYTVOŘ PARAMETR NEBO UŽIVATELSKOU IVLASTNOST

 Odpovědět Odpovědět archiv
Autor
Lukáš Záruba Zobrazit panel
TOP uživatel
TOP uživatel

Přihlášen: 02.lis.2007
Lokalita: ČR (SČ)
Používám:
inventor 2015
Stav: Offline
Bodů: 253
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace Lukáš Záruba Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Téma: VYTVOŘ PARAMETR NEBO UŽIVATELSKOU IVLASTNOST
    Zasláno: 05.říj.2018 v 21:51
Je možné napsat na začátek pravidla něco jako:

zkontroluj parmetr X
pokud neni tak ho vytvoř
pokud je tak nic.

a

zkontroluj uživatelskou ivlastnost Y
pokud neni, tak ji vytvoř
pokud je tak nic.

Pokud ano, tak jak to napsat?
Budu rád za radu i případně všelijaké postřehy.
Zpět nahoru
Vladimír Michl Zobrazit panel
Moderátor
Moderátor
Avatar
CAD Studio a.s.

Přihlášen: 09.zář.2004
Lokalita: ČR (JČ)
Používám:
Dodáváme produkty Autodesk
Stav: Offline
Bodů: 17570
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace Vladimír Michl Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 06.říj.2018 v 08:02
Test na existenci uděláte nejsnáze přes Try-Catch - viz ukázka Ilogic kódu:

https://www.cadforum.cz/cadforum/jak-vytvorit-uzivatelskou-ivlastnost-nebo-parametr-pomoci-ilogic-tip12023
Vladimír Michl (moderátor)
CAD Studio a.s. - www.cadstudio.cz
(podporu najdete na helpdesk.cadstudio.cz)
Zpět nahoru
Lukáš Záruba Zobrazit panel
TOP uživatel
TOP uživatel

Přihlášen: 02.lis.2007
Lokalita: ČR (SČ)
Používám:
inventor 2015
Stav: Offline
Bodů: 253
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace Lukáš Záruba Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 06.říj.2018 v 09:06
Díky už mi to funguje.

Co když budu chtít v jednom pravidle takto nastavit více ivlatvností ? dá se Try-Catch jen zkopírovat , přiřadit jiné názvy a bude to fungovat? nějak takhle:

 
Dim propertyName As String = "MAT"
Dim propertyValue As String = "PZ"
customPropertySet = ThisDoc.Document.PropertySets.Item("Inventor User Defined Properties") Try prop = customPropertySet.Item(propertyName) Catch customPropertySet.Add("", propertyName) End Try Dim propertyName As String = "POLOTOVAR" Dim propertyValue As String = "PLECH"
customPropertySet = ThisDoc.Document.PropertySets.Item("Inventor User Defined Properties") Try prop = customPropertySet.Item(propertyName) Catch customPropertySet.Add("", propertyName) 
End Try

nevím však čím to oddělit.  
Budu rád za radu i případně všelijaké postřehy.
Zpět nahoru
Vladimír Michl Zobrazit panel
Moderátor
Moderátor
Avatar
CAD Studio a.s.

Přihlášen: 09.zář.2004
Lokalita: ČR (JČ)
Používám:
Dodáváme produkty Autodesk
Stav: Offline
Bodů: 17570
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace Vladimír Michl Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 06.říj.2018 v 11:18
Pak už stačí opakovat jen řádky (ničím není třeba oddělovat):


Try
prop = customPropertySet.Item("DalsiVlastnost")
Catch
customPropertySet.Add("","DalsiVlastnost")
End Try

Vladimír Michl (moderátor)
CAD Studio a.s. - www.cadstudio.cz
(podporu najdete na helpdesk.cadstudio.cz)
Zpět nahoru
Lukáš Záruba Zobrazit panel
TOP uživatel
TOP uživatel

Přihlášen: 02.lis.2007
Lokalita: ČR (SČ)
Používám:
inventor 2015
Stav: Offline
Bodů: 253
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace Lukáš Záruba Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 08.říj.2018 v 13:13
Děkuji za radu ale jak jste to přesně myslel? pořád mi to nefunguje.

Try
prop = customPropertySet.Item("MAT")
Catch
customPropertySet.Add("","MAT")
End Try
 prop = customPropertySet.Item("POLOTOVAR")
Catch
customPropertySet.Add("","POLOTOVAR")
End Try
Budu rád za radu i případně všelijaké postřehy.
Zpět nahoru
Vladimír Michl Zobrazit panel
Moderátor
Moderátor
Avatar
CAD Studio a.s.

Přihlášen: 09.zář.2004
Lokalita: ČR (JČ)
Používám:
Dodáváme produkty Autodesk
Stav: Offline
Bodů: 17570
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace Vladimír Michl Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 08.říj.2018 v 13:24
Máte to správně, jen tam chybí ten druhý úvodní "Try" - opakovat se musí celý ten blok Try-End Try.
Vladimír Michl (moderátor)
CAD Studio a.s. - www.cadstudio.cz
(podporu najdete na helpdesk.cadstudio.cz)
Zpět nahoru
Lukáš Záruba Zobrazit panel
TOP uživatel
TOP uživatel

Přihlášen: 02.lis.2007
Lokalita: ČR (SČ)
Používám:
inventor 2015
Stav: Offline
Bodů: 253
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace Lukáš Záruba Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 09.říj.2018 v 07:49
Velice mi to pomohlo, už mi to funguje.
Děkuji

když bych chtěl založit parametr a zároveň ho "nastavit s více hodnotami" tak to jde taky? a jak to mám napsat?

Takhle?

Try
  p = Parameter("MAT")
Catch
  oUserParams.AddByValue("MAT","Neni", UnitsTypeEnum.kTextUnits)
End Try


Try
  p = Parameter("POLOTOVAR")
Catch
  oUserParams.AddByValue("POLOTOVAR","PLECH", UnitsTypeEnum.kTextUnits)
  MultiValue.List("POLOTOVAR","TYČ", "DESKA-PŘÍŘEZ") = MyArrayList
End Try
Budu rád za radu i případně všelijaké postřehy.
Zpět nahoru
Vladimír Michl Zobrazit panel
Moderátor
Moderátor
Avatar
CAD Studio a.s.

Přihlášen: 09.zář.2004
Lokalita: ČR (JČ)
Používám:
Dodáváme produkty Autodesk
Stav: Offline
Bodů: 17570
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace Vladimír Michl Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 09.říj.2018 v 08:53
Ten (před)poslední řádek je nějaký divný, spíš bych zkusil něco jako:
 
MultiValue.SetList("POLOTOVAR", "TYČ", "PLECH", "DESKA", "HRANOL")
Vladimír Michl (moderátor)
CAD Studio a.s. - www.cadstudio.cz
(podporu najdete na helpdesk.cadstudio.cz)
Zpět nahoru

Pro technickou podporu CAD
kontaktujte Helpdesk

Příbuzné CAD tipy:
Tip 6023:Vložení hodnoty vypočteného číselného parametru bez jednotek "ul".
Tip 5751:Parametrické pojmenování součástí Inventoru.
Tip 4254:Jak zkopírovat uživatelské vlastnosti do jiného souboru Inventoru?
Tip 2651:Jak do kusovníku sestavy přidat některé z uživatelských parametrů (rozměrů) modelu?
Tip 6631:Jak do výkresu Inventoru vložit uživatelské iVlastnosti modelu?
Tip 9195:VIPPřidání vlastního uživatelského parametru do katalogu prvků.


 Odpovědět Odpovědět

Přejít na fórum Oprávnění fóra Zobrazit panel



Stránka byla vygenerována za 0,375 sekund.